Mail::Box::Locker::Mutt(3)

NAME
Mail::Box::Locker::Mutt - lock a folder using mutt_dotlock

INHERITANCE
 Mail::Box::Locker::Mutt
   is a Mail::Box::Locker
   is a Mail::Reporter

SYNOPSIS
 See Mail::Box::Locker

DESCRIPTION
The "mutt" mail reader includes an separate program which is specialized in locking folders. This locker class uses this external program. Mutt is not automatically installed.

Extends "DESCRIPTION" in Mail::Box::Locker.

METHODS
Extends "METHODS" in Mail::Box::Locker.

$obj->exe()
    Returns the name of the external binary.

  Constructors
Extends "Constructors" in Mail::Box::Locker.

Mail::Box::Locker::Mutt->new(%options)
     -Option --Defined in       --Default
      exe                         mutt_dotlock
      expires  Mail::Box::Locker  1 hour
      file     Mail::Box::Locker  undef
      folder   Mail::Box::Locker  <undef>
      log      Mail::Reporter     'WARNINGS'
      method   Mail::Box::Locker  'DOTLOCK'
      timeout  Mail::Box::Locker  10
      trace    Mail::Reporter     'WARNINGS'

    exe => PATH
        The name of the program. May be a relative or absolute path.

    expires => SECONDS
    file => FILENAME
    folder => FOLDER
    log => LEVEL
    method => STRING|CLASS|ARRAY
    timeout => SECONDS|'NOTIMEOUT'
    trace => LEVEL

  Attributes
Extends "Attributes" in Mail::Box::Locker.

$obj->expires( [SECONDS] )
    Inherited, see "Attributes" in Mail::Box::Locker

$obj->timeout( [SECONDS] )
    Inherited, see "Attributes" in Mail::Box::Locker

  The Locker
Extends "The Locker" in Mail::Box::Locker.

$obj->filename( [$filename] )
    Inherited, see "The Locker" in Mail::Box::Locker

$obj->folder( [$folder] )
    Inherited, see "The Locker" in Mail::Box::Locker

$obj->name()
    Inherited, see "The Locker" in Mail::Box::Locker

  Locking
Extends "Locking" in Mail::Box::Locker.

$obj->hasLock()
    Inherited, see "Locking" in Mail::Box::Locker

$obj->isLocked()
    Inherited, see "Locking" in Mail::Box::Locker

$obj->lock()
$obj->unlock()

  Error handling
Extends "Error handling" in Mail::Box::Locker.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->addReport($object)
    Inherited, see "Error handling" in Mail::Reporter

$obj->defaultTrace( [$level]|[$loglevel, $tracelevel]|[$level, $callback] )
Mail::Box::Locker::Mutt->defaultTrace( [$level]|[$loglevel, $tracelevel]|[$level, $callback] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->errors()
    Inherited, see "Error handling" in Mail::Reporter

$obj->log( [$level, [$strings]] )
Mail::Box::Locker::Mutt->log( [$level, [$strings]] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->logPriority($level)
Mail::Box::Locker::Mutt->logPriority($level)
    Inherited, see "Error handling" in Mail::Reporter

$obj->logSettings()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

$obj->report( [$level] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->reportAll( [$level] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->trace( [$level] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->warnings()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Box::Locker.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Box::Locker

DIAGNOSTICS

Warning: Couldn't remove mutt-unlock $folder: $!
Error: Failed to remove expired mutt-lock $lockfile: $!
Warning: Folder $folder already mutt-locked
Error: Package $package does not implement $method.
    Fatal error: the specific package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package.

Warning: Removed expired mutt-lock $lockfile

SEE ALSO
This module is part of Mail-Box distribution version 3.009, built on August 18, 2020. Website: http://perl.overmeer.net/CPAN/

LICENSE
Copyrights 2001-2020 by [Mark Overmeer]. For other contributors see ChangeLog.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See http://dev.perl.org/licenses/